/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.


    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
    see: http://www.fsf.org/licensing/licenses/gpl-howto.html
*/

/****************************************************************************
** ManDVD
**
** Created: Mon May 08 14:00:00 2006
**      by: Gibault Stéphane
**	Hacked on by Mikael Böhm micko@bag.org
**
** This is a tool for simply creating DVD Video
** 
****************************************************************************/

#include "mandvd_global.h"
#include <mainfrm.h>
#include <qsplashscreen.h>
#include <qapplication.h>
#include <mainfrm.h>
#include <qwidget.h>
#include <qstring.h>
#include <qevent.h> 

int main ( int argc, char ** argv)
{
	QApplication a( argc, argv );

	QString message = "Loading";
	message.append( MANDVDVER );  

        QPixmap pixmap( "/usr/share/pixmaps/mandvdSplash.png" );
        QSplashScreen *splash = new QSplashScreen( pixmap );
        splash->show();

 	mainfrm w;

    	splash->message( message );
   	sleep(2);
  	delete splash;

	w.show();
	a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );

	return a.exec();
}
